Package org.flowable.bpmn.model

# Class FieldExtension

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.FieldExtension

All Implemented Interfaces:
  `HasExtensionAttributes`

public class FieldExtension extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `expression`
  `protected String`
  `fieldName`
  `protected String`
  `stringValue`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FieldExtension()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FieldExtension`
  `clone()`
  `String`
  `getExpression()`
  `String`
  `getFieldName()`
  `String`
  `getStringValue()`
  `void`
  `setExpression(String expression)`
  `void`
  `setFieldName(String fieldName)`
  `void`
  `setStringValue(String stringValue)`
  `void`
  `setValues(FieldExtension otherExtension)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fieldName

    protected String fieldName

  - ### stringValue

    protected String stringValue

  - ### expression

    protected String expression

- ## Constructor Details

  - ### FieldExtension

    public FieldExtension()

- ## Method Details

  - ### getFieldName

    public String getFieldName()

  - ### setFieldName

    public void setFieldName(String fieldName)

  - ### getStringValue

    public String getStringValue()

  - ### setStringValue

    public void setStringValue(String stringValue)

  - ### getExpression

    public String getExpression()

  - ### setExpression

    public void setExpression(String expression)

  - ### clone

    public FieldExtension clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(FieldExtension otherExtension)